<div class="card pcci-validation">
    <div class="card-header h6">Part 3. PCI DSS Validation</div>
    <div class="card-margin">
        <div class="head"><b>This AOC is based on results noted in SAQ D(Section 2), dated {{completionDate}} .</b>
        </div>
        <div class="card-padding pt-1">
            <p class="head">Based on result documented in the SAQ D noted above, the signatories identified in
                Parts 3b-3d, as applicable, assert(s)
                the following compliance status for the entity identified in Part 2 of this document: <b>(select
                    one)</b></p>
            <div class="m-4">
                <form #pcidssForm="ngForm">
                    <div class="d-grid mb-5 head">
                        <label class="mb-4">
                            <input name="compliant" type="radio" [value]="COMPLIANT_STATEMENT.COMPLIANT"
                                   [(ngModel)]="attestation.compliantStatement" id="compliant">
                            <b>Compliant: </b>All sections of the PCI DSS SAQ are complete, all questions answered
                            affirmatively, resulting in an overall COMPLIANT rating;
                            thereby {{companyName}} has demonstrated full compliance with the PCI DSS.
                        </label>
                        <label class="mb-4">
                            <input name="nonCompliant" type="radio" [value]="COMPLIANT_STATEMENT.NON_COMPLIANT"
                                   [(ngModel)]="attestation.compliantStatement" id="non-compliant">
                            <b>Non-Compliant: </b>Not all sections of the PCI DSS SAQ are complete, or not all questions
                            are
                            answered affirmatively, resulting in an overall
                            NON COMPLIANT rating, thereby {{companyName}} has not demonstrated full compliance with the
                            PCI
                            DSS.
                        </label>
                        <div *ngIf="attestation.compliantStatement === COMPLIANT_STATEMENT.NON_COMPLIANT"
                             class="custom-display mb-3">
                            <label class="col-md-2 col-sm-2 col-xs-2 no-padding">Date</label>
                            <p class="float-right">:</p>
                            <div class="col-md-10 col-sm-10 col-xs-10 ml-1 date-input">
                                <form class="form-inline">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <input class="form-control custom-btn border-right-0 w-100"
                                                   [minDate]="minDate"
                                                   name="dp" [(ngModel)]="selectedDate" ngbDatepicker
                                                   #datePicker="ngbDatepicker">
                                            <div class="input-group-append">
                                                <button class="btn custom-btn" (click)="datePicker.toggle(); pcidssForm.form.markAsDirty()"
                                                        type="button">
                                                    <img src="../../../../content/images/calender-icon.svg"
                                                         style="width: 1.2rem; height: 1rem; cursor: pointer;"/>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <label class="mb-4" (click)="initLegalExceptions()">
                            <input name="legalCompliant" type="radio" [value]="COMPLIANT_STATEMENT.COMPLIANT_WITH_LEGAL_EXCEPTION"
                                   [(ngModel)]="attestation.compliantStatement" id="legal-compliant">
                            <b>Compliant but with legal exception: </b>One or more requirements are marked "No" due to a
                            legal restriction that prevents the
                            requirement from being met. This option requires additional review from acquirer or payment
                            brand.
                        </label>
                    </div>
                    <div *ngIf="attestation.compliantStatement === COMPLIANT_STATEMENT.COMPLIANT_WITH_LEGAL_EXCEPTION">
                        <div class="show-in-des">
                            <div class="row mb-5">
                                <div class="col-md-4 col-sm-3 col-xs-3"><b class="mb-5">Affected Requirement</b></div>
                                <div class="col-md-8 col-sm-9 col-xs-9"><b class="mb-5">Details of how legal constraint
                                    prevents
                                    requirement
                                    being
                                    met</b></div>
                            </div>
                            <div class="row mt-3" *ngFor="let item of selectedRequirements; let i=index">

                                <div class="col-md-4 col-sm-3 col-xs-3">
                                    <div class="mw-100 btn-group" dropdown>
                                        <button dropdownToggle type="button"
                                                class="btn custom-dropdown dropdown-toggle">
                                            {{item.pcidssRequirementId ? item.pcidssRequirementId.requirement :
                                            'Select Requirement'}}
                                        </button>
                                        <ul *dropdownMenu class="dropdown-menu requirement-list" role="menu">
                                            <li *ngFor="let req of requirements " role="menuitem">
                                                <a class="dropdown-item" [ngClass]="{'not-active': isSelected(req)}"
                                                   href="javascript:" (click)="item.pcidssRequirementId=req;">
                                                    {{req.requirement}}</a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>

                                <div class="col-md-7 col-sm-8 col-xs-8">
                                    <textarea class="w-100" [(ngModel)]="item.legalConstraintDetail" rows="3"
                                              name="{{i + 'comment'}}"></textarea>
                                </div>
                                <div class="col-md-1 col-sm-1 col-xs-1"><i class="fa fa-times-circle text-danger"
                                                                           (click)="deleteRequirement(i)"></i></div>
                            </div>
                        </div>

                        <div class="show-in-mob">
                            <div class="mt-4 mobile-requirements"
                                 *ngFor="let item of selectedRequirements; let i=index">
                                <div class="col-12 mb-2 no-padding"><b>Affected Requirement</b></div>
                                <div class="mw-100 btn-group mb-4" dropdown>
                                    <button dropdownToggle type="button"
                                            class="btn custom-dropdown dropdown-toggle">
                                        {{item.pcidssRequirementId ? item.pcidssRequirementId.requirement :
                                        'Select Requirement'}}
                                    </button>
                                    <ul *dropdownMenu class="dropdown-menu requirement-list" role="menu">
                                        <li *ngFor="let req of requirements " role="menuitem">
                                            <a class="dropdown-item" [ngClass]="{'not-active': isSelected(req)}"
                                               href="javascript:" (click)="item.pcidssRequirementId=req; pcidssForm.form.markAsDirty()">
                                                {{req.requirement}}</a>
                                        </li>
                                    </ul>
                                </div>
                                <div class="col-12 mb-2 no-padding"><b>Details of how legal constraint
                                    prevents
                                    requirement
                                    being
                                    met</b></div>
                                <div class="d-flex col-12 mb-4 no-padding">
                                    <div class="col-11 no-padding">
                                    <textarea class="w-100" [(ngModel)]="item.legalConstraintDetail" rows="3"
                                              name="comment"></textarea>
                                    </div>
                                    <div class="col-1 no-padding">
                                        <i class="fa fa-times-circle text-danger" (click)="deleteRequirement(i); pcidssForm.form.markAsDirty()"></i>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <hr>
                        <div class="row add-row ml-3"><a (click)="addRequirement(); pcidssForm.form.markAsDirty()"><b><i class="fa fa-plus mr-2"></i>Add
                            a new row</b></a></div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="row-md action-div">
        <jhi-button (click)="saveAndExit()" exit>Save & Exit</jhi-button>
        <jhi-button (click)="saveAndContinue()" continue>Save & Continue</jhi-button>
    </div>
    <div class="arrows mt-auto mb-4">
        <i (click)="forward()" class="fa fa-4x fa-angle-right float-right mr-4"></i>
    </div>
</div>
